### Method

# EDataServer SoupSession set_force_http1

since: 3.48

#### Declaration [src]

    void
    e_soup_session_set_force_http1 (
      ESoupSession* session,
      gboolean force_http1
    )

#### Description [src]

Sets whether the messages created through the `session` using `e_soup_session_new_message()` or `e_soup_session_new_message_from_uri()` should force use of the HTTP/1, instead of trying HTTP/2 and fallback to HTTP/1, when the newer version cannot be used.

The property has no effect when `e_soup_session_util_get_force_http1_supported()` returns `FALSE`.

Available since: 3.48

Sets property | `EDataServer.SoupSession:force-http1`

#### Parameters

`force_http1`

  Type: `gboolean`

  The value to set.